POST
Deposit card
Use this endpoint to deposit funds to a card.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keyclientRequestIdIdempotent request ID for this deposit operation.
Example:
REQ_20260101_003cardIdCard ID to deposit funds to.
Example:
100001amountDeposit amount.
Example:
50Constraints
- Rule
- Must be greater than 0 and support up to 2 decimal places.
curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/deposit' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"amount": 50,
"cardId": 100001,
"clientRequestId": "REQ_20260101_003"
}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ operateRecordId }Deposit operation result.
{
"respCode": "20000",
"respMsg": "success",
"data": {
"operateRecordId": 200002
}
}No error responses are documented for this endpoint.